> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.eliteprospects.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Agencies

> Retrieve a paginated list of agencies. Use the `fields` parameter to customize response fields.



## OpenAPI

````yaml /api-reference/openapi.yml get /agencies/{id}/affiliates
openapi: 3.0.0
info:
  title: Elite Prospects API
  description: Elite Prospects API with data from https://www.eliteprospects.com
  contact:
    name: API Support
    email: api@eliteprospects.com
  version: '1.0'
servers:
  - description: Production server
    url: https://api.eliteprospects.com/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agency
  - name: Arena
  - name: Award
    description: Awards for player and staff
  - name: Country
  - name: Draft
    description: Drafted players and draft rankings
  - name: Game
  - name: Game Log
  - name: Game Log Aggregate
  - name: League
  - name: NHL Rights
  - name: Player
  - name: Player Stats
  - name: Player Style
  - name: Ranking
  - name: Retired Number
  - name: Search
  - name: Staff
  - name: Staff Stats
  - name: Star And Cult Player
  - name: Team
  - name: Team Stats
  - name: Transfer
externalDocs:
  description: More info at Elite Prospects website
  url: https://www.eliteprospects.com/api
paths:
  /agencies/{id}/affiliates:
    get:
      tags:
        - Agency
      summary: Agencies
      description: >-
        Retrieve a paginated list of agencies. Use the `fields` parameter to
        customize response fields.
      operationId: listAgenciesAffiliates
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
          description: Numeric ID of the agency to get agencies for
        - in: query
          name: fields
          schema:
            type: array
            items:
              type: string
              enum:
                - id
                - name
                - logoUrl
                - location
                - email
                - country
                - secondaryCountry
                - verified
                - info
                - numberOfClients
                - agents
                - eliteprospectsUrlPath
                - links
                - updatedAt
                - _links
                - country.*
                - secondaryCountry.*
                - links.*
                - '*'
          style: form
          explode: false
          required: false
          description: "Specify custom response with available response fields.\r\n***\r\n*Fields included as default:* id, name, logoUrl, location, email, country, secondaryCountry, verified, info, numberOfClients, agents, eliteprospectsUrlPath, links, updatedAt, _links"
        - $ref: '#/components/parameters/offsetParam'
        - $ref: '#/components/parameters/limitParam'
        - in: query
          name: sort
          schema:
            type: array
            items:
              type: string
              enum:
                - id
                - '-id'
                - name
                - '-name'
                - country
                - '-country'
                - updatedAt
                - '-updatedAt'
            default: name
          style: form
          explode: false
          required: false
          description: >-
            Sort results by field name. Prefix with `-` for descending order
            (e.g., `-name`).
        - in: query
          name: id
          schema:
            type: array
            items:
              type: integer
          required: false
          description: Filter by id
          style: form
          explode: false
        - in: query
          name: id:gt
          schema:
            type: integer
          required: false
          description: Filter by id greater than
        - in: query
          name: name
          schema:
            type: string
          required: false
          description: Filter by name
        - in: query
          name: country
          schema:
            type: string
          required: false
          description: Filter by country slug in ISO 3166-1 alpha-3
        - in: query
          name: verified
          schema:
            type: boolean
          required: false
          description: Filter by verified
        - in: query
          name: updatedAt:min
          schema:
            type: string
            format: date-time
          required: false
          description: >-
            Filter by updatedAt greater or equal to in ISO-8601 format for date
            and time
      responses:
        '200':
          description: A paginated list of agencies.
          content:
            application/json:
              schema:
                type: object
                properties:
                  _meta:
                    allOf:
                      - $ref: '#/components/schemas/Meta'
                      - $ref: '#/components/schemas/ListMeta'
                  _links:
                    allOf:
                      - $ref: '#/components/schemas/PaginationLinks'
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Agency'
          x-field-info:
            defaultFields:
              - id
              - name
              - logoUrl
              - location
              - email
              - country
              - verified
              - numberOfClients
              - agents
              - _links
            extendedFields:
              - secondaryCountry
              - info
              - eliteprospectsUrlPath
              - links
              - updatedAt
components:
  parameters:
    offsetParam:
      in: query
      name: offset
      schema:
        type: integer
        minimum: 0
        default: 0
      required: false
      description: The number of items to skip before starting to collect the result set.
    limitParam:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 0
        maximum: 1000
        default: 100
      required: false
      description: The number of items to return.
  schemas:
    Meta:
      type: object
      properties:
        generatedAt:
          type: string
    ListMeta:
      type: object
      properties:
        offset:
          type: integer
        limit:
          type: integer
        totalRecords:
          type: integer
    PaginationLinks:
      type: object
      properties:
        first:
          type: string
        last:
          type: string
        prev:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
    Agency:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        logoUrl:
          type: string
          nullable: true
        location:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        country:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        secondaryCountry:
          allOf:
            - $ref: '#/components/schemas/Country'
          nullable: true
        verified:
          type: boolean
        info:
          type: string
          nullable: true
        numberOfClients:
          type: integer
        agents:
          type: array
          items:
            type: string
        eliteprospectsUrlPath:
          type: string
        links:
          properties:
            webUrl:
              type: string
              nullable: true
            facebook:
              type: string
              nullable: true
            x:
              type: string
              nullable: true
            twitter:
              type: string
              nullable: true
            instagram:
              type: string
              nullable: true
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
    Country:
      type: object
      properties:
        slug:
          type: string
          description: ISO 3166-1 alpha-3
        name:
          type: string
        iso_3166_1_alpha_2:
          type: string
          nullable: true
          description: ISO 3166-1 alpha-2
        flagUrl:
          properties:
            small:
              type: string
            medium:
              type: string
        eliteprospectsUrlPath:
          type: string
        updatedAt:
          type: string
        _links:
          type: array
          items:
            type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: apiKey

````